/*
 * Copyright (c) 2006-2008 MiniMe. Code released under The MIT/X Window System
 * License. Full license text can be found in license.txt
 */
package minime.core;

import java.util.TimerTask;

/**
 * A task that can be scheduled for one-time or repeated execution by a Timer.
 * 
 */
public class DelayTask extends TimerTask
{

    private DelayTaskImp task;

    public DelayTask(DelayTaskImp t)
    {
        task = t;
    }

    public void run()
    {
        task.delayTaskRun();
    }

}
